/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/


@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/


}

.absolute-footer{
    display: none;
}
/* 布局 */
.bra10 img,
.bra10{
	border-radius:10px;
	overflow: hidden;
}

.ls2{
	letter-spacing:2px
}
.m0{
	margin:0!important
}
.mt20{
	margin-top:20px!important
}

.mt30{
	margin-top:30px!important
}

.mb0{
	margin-bottom:0!important
}

.p0{
	padding:0!important
}
.pb0{
	padding-bottom:0!important
}

.pb5{
	padding-bottom:5px!important
}

.pb10{
	padding-bottom:10px!important
}

.pb20{
	padding-bottom:20px!important
}

.pb30{
	padding-bottom:30px!important
}
.text-000 *{
	color:#0a0a0a
}
.text-000 a:hover{
	color:var(--fs-color-primary)
}
/* 圆角 */
.img-bra-4 img{
	border-radius:4px;
}
/* 图片样式 */
.big-img .bg-loaded{
  width: 100%; /* 图片宽度占据容器的100% */
  height: auto; /* 根据宽度自适应高度 */
  animation: breathe 20s infinite alternate; /* 使用关键帧动画，4秒完成一次来回，无限循环 */
}

/* 轮播箭头 */
.slider-nav-circle .flickity-prev-next-button .arrow,.slider-nav-circle .flickity-prev-next-button svg {
    border: 0px!important;
    border-radius:0px!important
}

/* 定义呼吸动画 */
@keyframes breathe {
  0% {
    transform: scale(1); /* 初始大小 */
  }
  50% {
    transform: scale(1.15); /* 最大1.2倍 */
  }
	100% {
    transform: scale(1); /* 初始大小 */
  }
}



/* 表单 */
.fluentform .ff-el-form-control {
    background-clip: padding-box;
    background-image: none;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    color: #495057;
    display: block;
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 0;
    max-width: 100%;
    padding: 6px 12px;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    width: 100%;
	font-family: "Inter", sans-serif !important;
}
.fluentform .ff-el-form-control {
     border-radius: 0.1rem!important;
	  box-shadow: none !important;
}
.fluentform .ff-el-form-control:hover {
    background: #fff !important;

}
.fluentform .ff-el-input--label label{
	color:#444;
}
#fluentform_1_success>p{
	color:#444;
}
#fluentform_1_success{
	background:#fff;
	border-radius:6px;
	text-align:center;
}
.ff_btn_style,.ff-btn-submit,.ff-default .ff_btn_style{
	background-color:var(--primary-color)!important;
	border-radius:3px !important;
	margin-bottom:0 !important;

}
.fluentform_1_success p{
	color:#222;
}
input:hover, select:hover, textarea:hover {
    background: 0 0!important;
    box-shadow: none!important;
}
.ff-message-success{
	 border: 0!important;
    box-shadow: none!important;
    margin-top: 10px!important;
    padding: 15px 0!important;  
}

.footer-main a{
	font-size:14px
}
.footer-main a span{
	font-weight:300
}


/* Custom, iPhone Retina */ 
@media (max-width: 549px){
    #logo img {
     max-height: 26px !important;
    }
}
   



/* 询盘按钮 */ 
#enquiry .contact {
    padding: 10px 20px;
    font-size: 18px;
}
#enquiry .contact:hover{
    background: #333!important;
}
.pe-successful-enq-ok-btn{
    width: 100%;
}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset{
    text-align: center;
    width: 100%;
}
.ui-dialog .ui-dialog-buttonpane{
    padding: 14px!important;
}
#send-btn,
.ui-dialog .ui-dialog-titlebar,
.ui-dialog .ui-dialog-buttonpane button{
    background: var(--primary-color)!important;
}
#send-btn{
    width: 100%;
    border-radius: 0px;
}
.ui-dialog .ui-dialog-buttonpane button{
    padding: 18px 20px!important;
    border-radius: 0px;
}


#enquiry-form .wdm-pef-form-row input{
    padding: 20px!important;
}

.ui-button-icon-only .ui-icon{
    left: 50%;
    margin-left: -13px!important;

    filter: invert(100%);
        margin-top: -18px!important;
}
.wdm-enquiry-action-btns{
    border-bottom: none!important;
    padding-bottom:0!important;
    
}

.woocommerce-ordering,.woocommerce-result-count {
  display: none;
}



.single-product .product_title {
	margin-top:30px;
	font-size:200%
}